## org.jfree.report.modules.preferences.filesystem
Class FileConfigStoreModuleInitializer

    java.lang.Object
      org.jfree.report.modules.preferences.filesystem.FileConfigStoreModuleInitializer

All Implemented Interfaces:
  org.pentaho.reporting.libraries.base.boot.ModuleInitializer

    public class FileConfigStoreModuleInitializer

extends java.lang.Object
implements org.pentaho.reporting.libraries.base.boot.ModuleInitializer

The initializer is used to setup the file system storage provider and to register the providers at the configfactory.

The directories are specified in the report configuration at boot time. If an directory name starts with "~/", the users home directory is used as base directory for that string.

Author:
  Thomas Morgner

Field Summary
`static java.lang.String` `SYSTEM_BASEDIR_CONFIG_KEY` The configuration key that specifies the base directory for the system configuration storage.
`static java.lang.String` `USER_BASEDIR_CONFIG_KEY` The configuration key that specifies the base directory for the user configuration storage.

Constructor Summary
`FileConfigStoreModuleInitializer()` DefaultConstructor.

Method Summary
`void` `performInit()` Performs the module initialization and registers the storage providers at the config factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USER_BASEDIR_CONFIG_KEY

    public static final java.lang.String USER_BASEDIR_CONFIG_KEY

  The configuration key that specifies the base directory for the user configuration storage.

  See Also:
    Constant Field Values

### SYSTEM_BASEDIR_CONFIG_KEY

    public static final java.lang.String SYSTEM_BASEDIR_CONFIG_KEY

  The configuration key that specifies the base directory for the system configuration storage.

  See Also:
    Constant Field Values

Constructor Detail

### FileConfigStoreModuleInitializer

    public FileConfigStoreModuleInitializer()

  DefaultConstructor.

Method Detail

### performInit

    public void performInit()
                     throws org.pentaho.reporting.libraries.base.boot.ModuleInitializeException

  Performs the module initialization and registers the storage providers at the config factory.

  Specified by:
    `performInit` in interface `org.pentaho.reporting.libraries.base.boot.ModuleInitializer`
  Throws:
    `org.pentaho.reporting.libraries.base.boot.ModuleInitializeException` - if an error occures